<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hc.gpbusiness.mapper.WebUserMapper">

    <resultMap type="com.hc.gpbusiness.model.WebUser" id="UserMap">
        <result property="userId" column="user_id" jdbcType="INTEGER"/>
        <result property="cardId" column="card_id" jdbcType="VARCHAR"/>
        <result property="userAccount" column="user_account" jdbcType="VARCHAR"/>
        <result property="userPassword" column="user_password" jdbcType="VARCHAR"/>
        <result property="userNick" column="user_nick" jdbcType="VARCHAR"/>
        <result property="userLogo" column="user_logo" jdbcType="VARCHAR"/>
        <result property="userMobile" column="user_mobile" jdbcType="VARCHAR"/>
        <result property="userEmail" column="user_email" jdbcType="VARCHAR"/>
        <result property="userGender" column="user_gender" jdbcType="VARCHAR"/>
        <result property="userBirthday" column="user_birthday" jdbcType="VARCHAR"/>
        <result property="createTime" column="create_time" jdbcType="BIGINT"/>
        <result property="updateTime" column="update_time" jdbcType="BIGINT"/>
    </resultMap>

    <sql id="Base_Column_List">
           user_id,
           card_id,
           user_account,
           user_password,
           user_nick,
           user_logo,
           user_mobile,
           user_email,
           user_gender,
           user_birthday,
           create_time,
           update_time
        </sql>

</mapper>